#ifndef __MYSQLCPPAPI_date_base_hh__
#define __MYSQLCPPAPI_date_base_hh__

#include "mysqlcppapi/datetime/datetime_base.h"

namespace mysqlcppapi
{

//template <class Str>
//class ColData;

class date_base : virtual public datetime_base
{
public:

  short int year;

  typedef short int tiny_int;
  tiny_int  month;
  tiny_int  day;

  std::ostream& out_stream(std::ostream&) const;
  std::string::size_type convert(const std::string&);
  
protected:
  short int compare(const date_base *other) const;
};

} //namespace

#endif //__date_base_hh__

