#ifndef __MYSQLCPPAPI_CONNECTION_ALLOCATOR_H
#define __MYSQLCPPAPI_CONNECTION_ALLOCATOR_H


#include "mysqlcppapi/smartpointer/Allocator.h"
#include "mysqlcppapi_internal.h"

namespace mysqlcppapi
{

class Allocator_Connection : public Allocator_Zeroed<MYSQL>
{
public:
  static cpointer allocate();
  static void deallocate(cpointer pInstance, bool do2ndStageDeallocation);
};

} //namespace

#endif //__MYSQLCPPAPI_CONNECTION_ALLOCATOR_H


